Name: kde-graphics-kolourpaint
Summary: An easy-to-use paint program 
Version: 15.04.3
Release: %mkrel 1
Group:	 Graphical desktop/KDE4
License: BSD 
URL:     https://projects.kde.org/projects/kde/kdegraphics/kolourpaint
Source0: ftp://ftp.kde.org/pub/kde/%{stable}/%{version}/src/kolourpaint-%{version}.tar.xz
BuildRequires: kdelibs-devel
BuildRequires: qimageblitz-devel
Requires: kde-runtime

%description
This package contains kolourpaint progran for kdegraphics.

%prep
%setup -q -n kolourpaint-%version

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/kolourpaint.desktop

## unpackaged files
rm -fv %{buildroot}%{_kde_libdir}/libkolourpaint_lgpl.so

%files 
%{_kde_bindir}/kolourpaint
%{_kde_appsdir}/kolourpaint/
%{_datadir}/appdata/kolourpaint.appdata.xml
%{_kde_datadir}/applications/kde4/kolourpaint.desktop
%{_kde_iconsdir}/hicolor/*/apps/kolourpaint.png
%{_kde_iconsdir}/hicolor/scalable/apps/kolourpaint.svgz
%{_kde_libdir}/libkolourpaint_lgpl.so.4*
%{_kde_docdir}/HTML/*/kolourpaint/*


%changelog
* Tue Jul 21 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Mon Mar 09 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3
